  
################################################################
###   Menu System to manage SMTP/MSF/ MAIL troubleshooting
###   Michael Hjalmervik  mjh@us.ibm.com
###   version 1.0   February 7th, 2014
###
###
###############################################################
# determines the current location
CURLOC=`(pwd) 2>/dev/null`

clear

echo ' ' 
echo ' ' 
echo ' ' 
echo '     IBM i5 Mail Troubleshooting Menu'
echo ' ' 
echo ' ' 
echo '      1) Configuration Collector Script' 
echo '      2) SMTP Client Trace' 
echo '      3) SMTP Server Trace' 
echo '      4) NOT CURRENTLY USED'
echo '      5) MSF DUMP' 
echo '      6) Domain DNS Check' 
echo '      7) Summary Report' 
echo '      8) Relay Verification' 
echo '      9) Upload Data to ECUREP' 
echo ' ' 
echo ' ' 
echo '      x) Exit Mail Menu Tool and clean up files' 

echo "      Select the option ********* > "

read MENU_OPTION
case $MENU_OPTION in
	1 ) ./collector.sh
		;;
	2 ) ./smtp_client_trc.sh 
		;;
	3 ) ./smtp_server_trc.sh 
		;;
	4 ) ./mail_menu.sh
		;;
 	5 ) ./msfdump.sh
		;;
	6 ) ./get_mx.sh
		;;
	7 ) ./analyze.sh
		;;
	8 ) echo ' 8) Relay Verification - NOT READY YET' 
		;;
	9 ) ./upload.sh 
		;;
	x ) /cleanup.sh 
		
esac

