
# determines the current location
CURLOC=`(pwd) 2>/dev/null`




##########################################
#  Display a menu that shows something like:
#  1. Run collector including Application Runtime Expert
#  2. Run collector without running Application Runtime Expert
#  3. Run the AreFix.sh script
#
#
#
#   if #1 is selected, determine release and ask user options
#               1. Run ARE for Admin
#               2. Run ARE for Admin2
#               3. Run ARE for Admin3
#               4. Run ARE for Admin4
#               5. Run ARE for all ADMIN jobs
#
#
#############################################################


echo " *********************************************************************** "
echo " *    httpAdmincollector Menu                                          * "
echo " *                                                                     * "
echo " * Please choose the appropriate option below:                         * "
echo " *                                                                     * "
echo " * 1.) Run collector including Application Runtime Expert              * "
echo " * 2.) Run collector without running Application Runtime Expert        * "
echo " * 3.) Run the AreFix.sh script                                        * "
echo " *                                                                     * "
echo " *********************************************************************** "                  

read MENU_RESPONSE

if test ${MENU_RESPONSE} = 3; then
echo "Running AreFix.sh script"
$CURLOC/AreFix.sh
exit
fi

# Create response to indicate if Application Runtime Expert needs to be run

if test ${MENU_RESPONSE} = "1"; then
ARE_RESPONSE="Y"
elif test ${MENU_RESPONSE} = "2"; then
ARE_RESPONSE="N"
ARE_FLAG="none"
elif test ${MENU_RESPONSE} = "3"; then
ARE_RESPONSE="N"
ARE_FLAG="none"
fi 

# If ARE_RESPONSE is Y, which ADMIN jobs should we run healthcheck for?
if test ${ARE_RESPONSE} = "Y"; then
echo "                           "
echo "  ***********************************************************************"
echo "  Which ADMIN server to run ARE Tool on? "
echo "                            "
echo "  1.) ADMIN  "
echo "  2.) ADMIN2 "
echo "  3.) ADMIN3 "
echo "  4.) ADMIN4 "
echo "  5.) Run Application Runtime Expert for all Admin servers"
echo "  ***********************************************************************"

read ADMIN_RESPONSE

fi

case $ADMIN_RESPONSE
    in
    1) ARE_FLAG="admin";;
    2) ARE_FLAG="admin2";;
    3) ARE_FLAG="admin3";;
    4) ARE_FLAG="admin4";;
    5) ARE_FLAG="all";;
    *) ARE_FLAG="none";;
esac




# If ARE_RESPONSE is N, change ADMIN_RESPONSE=" "
if test ${ARE_RESPONSE} = "N"; then
ADMIN_RESPONSE=" "
fi  

#echo "The ARE_FLAG from httpAdminMenu.sh is ${ARE_FLAG}"
$CURLOC/httpAdmincollector.sh ${ARE_FLAG};