echo "FTPing Data to ECUREP!!!!!"


# determines the current location
CURLOC=`(pwd) 2>/dev/null`

if test -e /qibm/proddata/java400/jdk6; then
echo "JDK 6.0 found"
echo "Will this mailcollection.zip file be uploaded to ecurep for a PMR? (This requires JDK 6.0) Y or N?"
read FTP_RESPONSE
elif test -e /QOpenSys/QIBM/ProdData/JavaVM/jdk60; then
echo "JDK 6.0 found"
echo "Will this mailcollection.zip file be uploaded to ecurep for a PMR? (This requires JDK 6.0) Y or N?"
read FTP_RESPONSE
else echo "JDK 6.0 is not found.  Please send mailcollection.zip to this website: "
     echo "http://www.ecurep.ibm.com/app/upload"
exit
fi

### Make FTP_RESPONSE uppercase
if test ${FTP_RESPONSE} = "n"; then
export FTP_RESPONSE='N'
fi
if test ${FTP_RESPONSE} = "y"; then 
export FTP_RESPONSE='Y'
fi     
if test ${FTP_RESPONSE} = " "; then
export FTP_RESPONSE='N'
fi
                                                            
  
 
# If this will be FTPed to ecurep, then PMR and EMAIL need to be entered 
if test ${FTP_RESPONSE} = "Y"; then                                                                  
if test "${PMR}" = ""; then
echo "Please enter your PMR number in the following format (ppppp.bbb.ccc where p=PMR Number, b=branch id, c=country code NOTE: For US customers the country code should be 000):"
read PMR
fi

if test "${EMAIL}" = ""; then
echo "Please enter your e-mail address. We will send you a confirmation within 1 hour to let you know that the file has arrived successfully"
read EMAIL
fi
fi




# TESTS to see if file needs to be FTPed, then tests to see if it has the required JDK 6.0 to do the FTP
if test ${FTP_RESPONSE} = "Y"; then

if test -e /home/mailcollector/archive/mailcollection.zip; then
if test -e /home/mailcollector/ibmsdduu.jar; then
echo "We will now attempt to send it to service for analysis..."
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit
java -Djava.version=1.6 -cp .:/home/mailcollector/ibmsdduu.jar ibmsdduu.cmd -email=${EMAIL} -pmr -id=${PMR} -compress -encrypt /home/mailcollector/archive/mailcollection.zip

else

echo "Unable to send the file.  Please send the /home/mailcollector/archive/mailcollection.zip to http://www.ecurep.ibm.com/app/upload for analysis"
fi
else
echo "There is a problem with the jar function, unable to create the mailcollection.zip file"
fi
else
fi

#echo "check if FTP_RESPONSE is set to N"

if test ${FTP_RESPONSE} = "N"; then
if test -e /home/mailcollector/archive/mailcollector.zip; then
echo "Please send /home/mailcollector/archive/mailcollection.zip to http://www.ecurep.ibm.com/app/upload for analysis"
else
echo "There is a problem with the jar function, unable to create the /home/mailcollector/archive/mailcollection.zip file"
fi
fi 
