##############################################################################################
####################### IBM i5 Technical Support EWS  - Michael Hjalmervik mjh@us.ibm.com
##############################################################################################
###  Version 3.0 - February 2014
###  addition of analysis / summary report
###  addition of autofix options
##############################################################################################
###  Version 2.0a - November 2011
###  Incoporate collector in with the trace program
###  include automated collection and upload functions
### Thanks to Andy Henderson for assistance with spoolfile collection and upload scripting
##############################################################################################
###  MSF and SMTP diagnostic trace script KB Document Number: 542565415
###  version 1.8   - July 2011
##############################################################################################
###  Future updates - open for suggestions
##############################################################################################
###  Current expansion projects
###  prompt for customer and technician email address and PMR #
###  automatic collection of spool files
###  automatic submission of data using ecurep and PMR #
###
##############################################################################################

########### Collector Script Starts here  ######################################################
# determines the current location
CURLOC=`(pwd) 2>/dev/null`


echo "This script may throw several errors.  This is normal."

if test "${EMAIL}" = ""; then
echo "Please enter your e-mail address for sending a test message."
read TESTEMAIL
fi

mkdir -p /QIBM/UserData/mailcollector

touch -C 1252 /qibm/userdata/mailcollector/dspptf.txt
touch -C 1252 /qibm/userdata/mailcollector/dspsfwrsc.txt
touch -C 1252 /qibm/userdata/mailcollector/cfgtcpopt10.txt
touch -C 1252 /qibm/userdata/mailcollector/cfgtcpopt12.txt
touch -C 1252 /qibm/userdata/mailcollector/wrkactjob.txt
touch -C 1252 /qibm/userdata/mailcollector/wrksysval.txt
touch -C 1252 /qibm/userdata/mailcollector/wrksyssts.txt   
touch -C 1252 /qibm/userdata/mailcollector/RootAttributes.txt   
touch -C 1252 /qibm/userdata/mailcollector/cfgtcpOpt1.txt
touch -C 1252 /qibm/userdata/mailcollector/ServiceDBPorts.txt
touch -C 1252 /qibm/userdata/mailcollector/cfgtcpopt2.txt
touch -C 1252 /qibm/userdata/mailcollector/cfgtcpopt3.txt
touch -C 1252 /qibm/userdata/mailcollector/smtpattr.txt
touch -C 1252 /qibm/userdata/mailcollector/QATMIFCLST.txt
touch -C 1252 /qibm/userdata/mailcollector/qsrlnbr.txt
touch -C 1252 /qibm/userdata/mailcollector/dspdire.txt
touch -C 1252 /qibm/userdata/mailcollector/chgdsta.txt
touch -C 1252 /qibm/userdata/mailcollector/qtmsclean.txt
touch -C 1252 /qibm/userdata/mailcollector/QIBM_QZMF.txt
touch -C 1252 /qibm/userdata/mailcollector/qaoklist.txt
touch -C 1252 /qibm/userdata/mailcollector/netstat_cnn.txt
touch -C 1252 /qibm/userdata/mailcollector/sysaliases.txt
touch -C 1252 /qibm/userdata/mailcollector/relaylist.txt 

#Spool out dspptf, dspsfwrsc, wrkactjob, wrksysval, wrksyssts to .txt files
system dspptf > /qibm/userdata/mailcollector/dspptf.txt    
system dspsfwrsc > /qibm/userdata/mailcollector/dspsfwrsc.txt
system wrkactjob > /qibm/userdata/mailcollector/wrkactjob.txt
system wrksysval > /qibm/userdata/mailcollector/wrksysval.txt
system "WRKSYSSTS" > /qibm/userdata/mailcollector/wrksyssts.txt 
ls -l /QSYS.LIB/QUSRSYS.LIB/QAOK*.FILE > /qibm/userdata/mailcollector/qaoklist.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTPA) TOSTMF('/qibm/userdata/mailcollector/sysaliases.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

#DISPLAY TCP CONFIGURATION
#################   
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTP config) TOSTMF('/qibm/userdata/mailcollector/smtpattr.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMIFCLST ifcdmn) TOSTMF('/qibm/userdata/mailcollector/QATMIFCLST.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "DSPSYSVAL SYSVAL(QSRLNBR)" > /qibm/userdata/mailcollector/qsrlnbr.txt 
system "DSPDIRE" > /qibm/userdata/mailcollector/dspdire.txt 
system "chgdsta" > /qibm/userdata/mailcollector/chgdsta.txt
system "DSPDTAARA DTAARA(QUSRSYS/QTMSCLEAN)" > /qibm/userdata/mailcollector/qtmsclean.txt
system "WRKREGINF EXITPNT(QIBM_QZMF*) OUTPUT(*PRINT)" > /qibm/userdata/mailcollector/qibm_qzmf.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST) TOSTMF('/qibm/userdata/mailcollector/relaylist.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

###################
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOChost hosts) TOSTMF('/qibm/userdata/mailcollector/cfgtcpopt10.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCtcpip config) TOSTMF('/qibm/userdata/mailcollector/cfgtcpopt12.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCIFC INTERFACES) TOSTMF('/qibm/userdata/mailcollector/cfgtcpOpt1.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCPS SERVICES) TOSTMF('/qibm/userdata/mailcollector/ServiceDBPorts.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATocrte) TOSTMF('/qibm/userdata/mailcollector/cfgtcpopt2.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"    
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCTCPIP) TOSTMF('/qibm/userdata/mailcollector/cfgtcpopt3.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
 
#DISPLAY AUTHORITY FOR SELECTED IFS AND OBJECTS
system "DSPLNK OBJ('/') OUTPUT(*PRINT) OBJTYPE(*ALL) DETAIL(*EXTENDED) DSPOPT(*ALL)"   > /qibm/userdata/mailcollector/RootAttributes.txt     

#################################################################################
## END COLLECTOR                                                               ##
##                                                                             ##
## START TRACE                                                                 ##
#################################################################################


################################################################################
###   Need to collect the trace and dump output files  
################################################################################
###   Gather spool files from MSF trace and SMTP Traces
################################################################################

CURLOC=`(pwd) 2>/dev/null`
mkdir -p ${CURLOC}/SMTPTraceFiles 
mkdir -p ${CURLOC}/QMSFTraceFiles

system "ENDTCPSVR  SERVER(*SMTP)"                                                    

system "DLYJOB DLY(10)"                                                          

system "TRCTCPAPP APP(*SMTPCLT) TRCFULL(*STOPTRC)"                                   
system "TRCTCPAPP APP(*SMTPSVR) TRCFULL(*STOPTRC)"                                   

system "STRTCPSVR *SMTP"                                                             

system "DLYJOB DLY(10)"                                                              

system "TRCTCPAPP APP(*SMTPCLT) SET(*OFF) TITLE('Outbound E-mail')"
system "TRCTCPAPP APP(*SMTPSVR) SET(*OFF) TITLE('In-Bound E-Mail')"

system "ADDEXITPGM EXITPNT(QIBM_QZMFMSF_ACT) FORMAT(MSFF0100) PGMNBR(200) PGM(QSYS/QZMFDUMP) TEXT('MSF Snap-in') PGMDTA(*JOB 12 SPCL01009999)" 

system "ENDMSF"                                                      
system "DLYJOB DLY(10)"                                        

system "STRMSF MSGOPT(*RESET)"                                   
system "DLYJOB DLY(10)"                                                                                      

system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #1') LONGMSG('Twins Win!')"
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #2') LONGMSG('Twins Win!')"                        
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #3') LONGMSG('Twins Win!')"

system "RMVEXITPGM EXITPNT(QIBM_QZMFMSF_ACT) FORMAT(MSFF0100) PGMNBR(200)"    

system "ENDMSF"        

system "WRKSPLF SELECT($LOGNAME *ALL *ALL *ALL *ALL QTMSSTRC)" > ${CURLOC}/SMTPTracespoolFiles.txt     
system "WRKSPLF SELECT(QMSF *ALL *ALL *ALL *ALL QPSRVDMP) OUTPUT(*PRINT)" > ${CURLOC}/QMSFSpoolfiles.txt   

system "DLYJOB DLY(10)"                                             

system "STRMSF MSGOPT(*RESET)"

##################################
# Gather spool files from MSF trace and SMTP Traces
##################################

system "CRTPF FILE(QGPL/SMTPSPLFS) RCDLEN(150) MAXMBRS(*NOMAX) SIZE(*NOMAX)"
system "CRTPF FILE(QGPL/QMSFSPLFS) RCDLEN(150) MAXMBRS(*NOMAX) SIZE(*NOMAX)"

#This cuts out the fully qualified job name of the outq jobs
cat  ${CURLOC}/SMTPTracespoolFiles.txt | grep ${LOGNAME} | cut -c 107-125 |
while read SPOOLNBR JOBNAME JOBNUMBER
do


echo "SPOOLNUMBER is ${SPOOLNBR}"
echo "JOBNUMBER IS ${JOBNUMBER}"
echo "JOBNAME is ${JOBNAME}"


system "CPYSPLF FILE(QTMSSTRC) TOFILE(QGPL/SMTPSPLFS) JOB(${JOBNUMBER}/${LOGNAME}/${JOBNAME}) SPLNBR(${SPOOLNBR}) TOMBR(QTMSSTRC) MBROPT(*REPLACE)"   
echo "QTMSSTRC${JOBNUMBER}"
touch -C 1252 ${CURLOC}/SMTPTraceFiles/QTMSSTRC${JOBNUMBER}.txt
system "CPYTOIMPF FROMFILE(QGPL/SMTPSPLFS QTMSSTRC) TOSTMF('${CURLOC}/SMTPTraceFiles/QTMSSTRC${JOBNUMBER}.txt') FROMCCSID(37)  STMFCCSID(1252) MBROPT(*REPLACE) RCDDLM(*CRLF)"


done

#This processes QMSF Spool files
cat  ${CURLOC}/qmsfspoolfiles.txt | grep QMSF | cut -c 107-125 |
while read SPOOLNBR JOBNAME JOBNUMBER
do


echo "SPOOLNUMBER is ${SPOOLNBR}"
echo "JOBNUMBER IS ${JOBNUMBER}"
echo "JOBNAME is ${JOBNAME}"

                                  
system "CPYSPLF FILE(QPSRVDMP) TOFILE(QGPL/QMSFSPLFS) JOB(${JOBNUMBER}/QMSF/${JOBNAME}) SPLNBR(${SPOOLNBR}) TOMBR(QPSRVDMP) MBROPT(*REPLACE)"   
echo "QPSRVDMP${JOBNUMBER}"
touch -C 1252 ${CURLOC}/QMSFTraceFiles/QPSRVDMP${JOBNUMBER}.txt
system "CPYTOIMPF FROMFILE(QGPL/QMSFSPLFS QPSRVDMP) TOSTMF('${CURLOC}/QMSFTraceFiles/QPSRVDMP${JOBNUMBER}.txt') FROMCCSID(37)  STMFCCSID(1252) MBROPT(*REPLACE) RCDDLM(*CRLF)"


done


system "DLTF QGPL/QMSFSPLFS"
system "DLTF QGPL/SMTPSPLFS" 


 

####     Collect the Group PTFs and other stuff

touch -C 1252 /qibm/userdata/mailcollector/mailHC.txt
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit      #needed for FTP Process
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runHealthCheck.sh -template $CURLOC/mailhc.jar -property ias.instance.name=admin -outFile /qibm/userdata/mailcollector/mailHC.txt 

################################################################################
#ZIP up everything into mailcollector.zip
jar cvf $CURLOC/mailcollector.zip \
/qibm/userdata/mailcollector \
/etc/resolv.conf \
/etc/netsvc.conf \
/QIBM/UserData/java400/SystemDefault.properties  \
/QIBM/UserData/OS400/TCPIP/QTOCHOSTS  

if test -e $CURLOC/mailcollector.zip; then
#Remove the .txt files that mailcollector script had produced
rm -r /qibm/userdata/mailcollector/
system "DLTF QGPL/QMSFSPLFS"
system "DLTF QGPL/SMTPSPLFS" 

else
echo "$CURLOC/mailcollector.zip file failed to create.  Possible error with jar function"

fi


#FTP The resulting .zip file to ECUREP using the ecurepFTP.sh script
$CURLOC/ecurepFTP.sh mailcollector.zip 
                       
if test -e $CURLOC/mailcollector.zip; then
#m -r ${HTTP_PATH}/logs/collectorfiles/
#rm /tmp/${HTTP_INSTANCE}Path.txt
#rm /tmp/${HTTP_INSTANCE}Member.txt
 
echo "$CURLOC/mailcollector.zip file is finished." 
   
else "$CURLOC/mailcollector.zip failed to create, possible issue with jar function"
 
fi


