export ARE_FLAG=$1    

export FTP_RESPONSE=$2

export PMR=$3         

export EMAIL=$4       







# determine the OS version and then collects only the data specific to that version

RELEASE=`(uname -r) 2>/dev/null` || RELEASE=unknown

VERSION=`(uname -v) 2>/dev/null` || VERSION=unknown



CURLOC=`(pwd) 2>/dev/null`

mkdir ${CURLOC}/data 2>/dev/null



# Redirect Errors to /QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt

exec 2>/QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt



#echo "ARE_FLAG is ${ARE_FLAG}"



case $ARE_FLAG

    in

    [Aa][Ll][Ll]) ADMIN_RESPONSE="5";;

    [Aa][Dd][Mm][Ii][Nn][2]) ADMIN_RESPONSE="2";;

    [Aa][Dd][Mm][Ii][Nn][3]) ADMIN_RESPONSE="3";;

    [Aa][Dd][Mm][Ii][Nn][4]) ADMIN_RESPONSE="4";;

    [Nn][Oo][Nn][Ee]) ADMIN_RESPONSE="0";;

    *) ADMIN_RESPONSE="5";;

esac









#echo "FTP_RESPONSE is ${FTP_RESPONSE}"





if test "${FTP_RESPONSE}" = ""; then

echo "Will this httpAdmincollector.zip file be uploaded to ecurep for a PMR? (This requires JDK 6.0) Y or N?"

read FTP_RESPONSE

fi







### Make FTP_RESPONSE uppercase

if test ${FTP_RESPONSE} = "n"; then

export FTP_RESPONSE='N'

fi

if test ${FTP_RESPONSE} = "y"; then 

export FTP_RESPONSE='Y'

fi     

if test ${FTP_RESPONSE} = " "; then

export FTP_RESPONSE='N'

fi

                                                            

  

 

# If this will be FTPed to ecurep, then PMR and EMAIL need to be entered 

if test ${FTP_RESPONSE} = "Y"; then                                                                  

if test "${PMR}" = ""; then

echo "Please enter your PMR number in the following format (ppppp.bbb.ccc where p=PMR Number, b=branch id, c=country code NOTE: For US customers the country code should be 000):"

read PMR

fi



if test "${EMAIL}" = ""; then

echo "Please enter your e-mail address. We will send you a confirmation within 1 hour to let you know that the file has arrived successfully"

read EMAIL

fi

fi


echo ' ---------------------------------------------------------'
echo ' '
echo "Zipping data to mailcollection.zip"
echo ' '
echo ' ---------------------------------------------------------'

#ZIP up everything into mailcollection.zip



jar cvf /home/mailcollector/archive/mailcollection.zip \
/home/mailcollector/files \
/home/mailcollector/traces \









# TESTS to see if file needs to be FTPed, then tests to see if it has the required JDK 6.0 to do the FTP

if test ${FTP_RESPONSE} = "Y"; then

if test -e "/qibm/proddata/java400/jdk6"  ||  test -e  "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then     

if test -e /home/mailcollector/archive/mailcollection.zip; then

if test -e /home/mailcollector/ibmsdduu.jar; then

echo "We will now attempt to send it to service for analysis..."

if test -e "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then                          

export JDK6_PATH=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin

else

export JDK6_PATH=/qibm/proddata/java400/jdk6/bin

fi



${JDK6_PATH}/java  -cp .:/home/mailcollector/ibmsdduu.jar ibmsdduu.cmd -email=${EMAIL} -pmr -id=${PMR} -compress -encrypt /home/mailcollector/archive/mailcollection.zip



else



echo "Unable to send the file.  Please send the /home/mailcollector/archive/mailcollection.zip "

echo "to this website: http://www.ecurep.ibm.com/app/upload"

fi

else

echo "There is a problem with the jar function, unable to create the mailcollection.zip file"

fi

else

echo "JDK 6.0 is not installed, please upload /home/mailcollector/archive/mailcollection.zip" 

echo "to this website:  http://www.ecurep.ibm.com/app/upload"

fi

else

echo "Please send the /home/mailcollector/archive/mailcollection.zip to this website:"

echo "http://www.ecurep.ibm.com/app/upload"

fi



#echo "check if FTP_RESPONSE is set to N"



if test ${FTP_RESPONSE} = "N"; then

if test -e //home/mailcollector/archive/mailcollection.zip; then

echo "Please send /home/mailcollector/archive/mailcollection.zip to this website: "

echo "http://www.ecurep.ibm.com/app/upload"

else

echo "There is a problem with the jar function, unable to create the /home/mailcollector/archive/mailcollection.zip file"

fi

fi

